---@meta lyaml.explicit

--------------------------------------------------------------------------------
-- LYAML explicit tag scalar parsing module
--------------------------------------------------------------------------------

---@class lyaml_explicit*
---@type lyaml_explicit*
local M = {}

--- Parses a `!!bool` scalar.
---@param value string scalar literal
---@return boolean? value Boolean value
function M.bool(value) end

--- Parses a `!!float` scalar.
---@param value string scalar literal
---@return number? value floating point value
function M.float(value) end

--- Parse `!!int` scalar.
---@param value string scalar literal
---@return integer? value integer value
function M.int(value) end

--- Parses a `!!null` scalar.
---@param value? string scalar literal
---@return lyaml_null* value null Sentinel value
function M.null(value) end

--- Parse `!!str` scalar.
---@param value string scalar literal
---@return string value Original string
function M.str(value) end

return M
